Bug#481393: NMUdiff to fix the FTBFS

View: New views
2 Messages — Rating Filter:   Alert me  

Bug#481393: NMUdiff to fix the FTBFS

by Albin Tonnerre-3 :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

tags 481393 patch

Hi,
I intend to NMU this package as part of the 'fix gcc-4.3 related build failures'
release goal. The fixed pacakge has been uploaded to delayed/2.
Please find the diff attached.

Cheers,
--
Albin Tonnerre


diff -u qtractor-0.1.3/debian/changelog qtractor-0.1.3/debian/changelog
--- qtractor-0.1.3/debian/changelog
+++ qtractor-0.1.3/debian/changelog
@@ -1,3 +1,12 @@
+qtractor (0.1.3-1.1) unstable; urgency=high
+
+  * NMU to fix FTBFS with gcc-4.3
+  * Added debian/patches/01_fixes_gcc-4.3_compile.dpatch:
+    - Add missing includes, patch from upstream CVS. (Closes: #481393)
+  * Update Standards-Version to 3.8.0
+
+ -- Albin Tonnerre <albin.tonnerre@...>  Thu, 19 Jun 2008 18:56:15 +0200
+
 qtractor (0.1.3-1) unstable; urgency=low
 
   * New upstream release
diff -u qtractor-0.1.3/debian/control qtractor-0.1.3/debian/control
--- qtractor-0.1.3/debian/control
+++ qtractor-0.1.3/debian/control
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Team <debian-multimedia@...>
 Uploaders: Free Ekanayaka <freee@...>, Gürkan Sengün <gurkan@...>
 Build-Depends: debhelper (>= 5.0.0), dpatch, libqt4-dev, libtool, automake1.9, libasound2-dev, libjack-dev, libsndfile1-dev, ladspa-sdk, libvorbis-dev, libmad0-dev, libsamplerate-dev
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 
 Package: qtractor
 Architecture: any
only in patch2:
unchanged:
--- qtractor-0.1.3.orig/debian/patches/00list
+++ qtractor-0.1.3/debian/patches/00list
@@ -0,0 +1 @@
+01_fixes_gcc-4.3_compile.dpatch
only in patch2:
unchanged:
--- qtractor-0.1.3.orig/debian/patches/01_fixes_gcc-4.3_compile.dpatch
+++ qtractor-0.1.3/debian/patches/01_fixes_gcc-4.3_compile.dpatch
@@ -0,0 +1,47 @@
+#! /bin/sh -e
+## 01_fixes_gcc-4.3_compile.dpatch by Albin Tonnerre <albin.tonnerre@...>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Add missing includes to fix gcc-4.3-related FTBFS
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- qtractor/src/qtractorAudioFile.cpp
++++ qtractor/src/qtractorAudioFile.cpp
+@@ -28,6 +28,7 @@
+ #include <QRegExp>
+
+
++#include <stdlib.h>
+ //----------------------------------------------------------------------
+ // class qtractorAudioFileFactory -- Audio file factory (singleton).
+ //
+only in patch2:
+unchanged:
+--- qtractor/src/qtractorAudioVorbisFile.cpp
++++ qtractor/src/qtractorAudioVorbisFile.cpp
+@@ -27,6 +27,7 @@
+ #endif
+
+
++#include <stdlib.h>
+ //----------------------------------------------------------------------
+ // class qtractorAudioVorbisFile -- Buffered audio file implementation.
+ //



signature.asc (196 bytes) Download Attachment

Processed (with 5 errors): NMUdiff to fix the FTBFS

by Debian Bug Tracking System :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Processing commands for control@...:

> tags 481393 patch
Bug#481393: qtractor - FTBFS: error: '::atexit' has not been declared
There were no tags set.
Tags added: patch

> Hi,
Unknown command or malformed arguments to command.

> I intend to NMU this package as part of the 'fix gcc-4.3 related build failures'
Unknown command or malformed arguments to command.

> release goal. The fixed pacakge has been uploaded to delayed/2.
Unknown command or malformed arguments to command.

> Please find the diff attached.
Unknown command or malformed arguments to command.

> Cheers,
Unknown command or malformed arguments to command.

Too many unknown commands, stopping here.

Please contact me if you need assistance.

Debian bug tracking system administrator
(administrator, Debian Bugs database)


--
To UNSUBSCRIBE, email to debian-multimedia-REQUEST@...
with a subject of "unsubscribe". Trouble? Contact listmaster@...

LightInTheBox - Buy quality products at wholesale price